#
# spec file for package perl-HTTP-Message
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-HTTP-Message
Version:        6.06
Release:        6.2
%define cpan_name HTTP-Message
Summary:        HTTP style message (base class)
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/HTTP-Message/
Source:         http://www.cpan.org/authors/id/G/GA/GAAS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Compress::Raw::Zlib)
BuildRequires:  perl(Encode) >= 2.21
BuildRequires:  perl(Encode::Locale) >= 1
BuildRequires:  perl(HTTP::Date) >= 6
BuildRequires:  perl(IO::Compress::Bzip2) >= 2.021
BuildRequires:  perl(IO::Compress::Deflate)
BuildRequires:  perl(IO::Compress::Gzip)
BuildRequires:  perl(IO::HTML)
BuildRequires:  perl(IO::Uncompress::Bunzip2) >= 2.021
BuildRequires:  perl(IO::Uncompress::Gunzip)
BuildRequires:  perl(IO::Uncompress::Inflate)
BuildRequires:  perl(IO::Uncompress::RawInflate)
BuildRequires:  perl(LWP::MediaTypes) >= 6
BuildRequires:  perl(URI) >= 1.10
#BuildRequires: perl(HTTP::Config)
#BuildRequires: perl(HTTP::Headers)
#BuildRequires: perl(HTTP::Headers::Auth)
#BuildRequires: perl(HTTP::Headers::ETag)
#BuildRequires: perl(HTTP::Headers::Util)
#BuildRequires: perl(HTTP::Message)
#BuildRequires: perl(HTTP::Request)
#BuildRequires: perl(HTTP::Request::Common)
#BuildRequires: perl(HTTP::Response)
#BuildRequires: perl(HTTP::Status)
Requires:       perl(Compress::Raw::Zlib)
Requires:       perl(Encode) >= 2.21
Requires:       perl(Encode::Locale) >= 1
Requires:       perl(HTTP::Date) >= 6
Requires:       perl(IO::Compress::Bzip2) >= 2.021
Requires:       perl(IO::Compress::Deflate)
Requires:       perl(IO::Compress::Gzip)
Requires:       perl(IO::HTML)
Requires:       perl(IO::Uncompress::Bunzip2) >= 2.021
Requires:       perl(IO::Uncompress::Gunzip)
Requires:       perl(IO::Uncompress::Inflate)
Requires:       perl(IO::Uncompress::RawInflate)
Requires:       perl(LWP::MediaTypes) >= 6
Requires:       perl(URI) >= 1.10
%{perl_requires}

%description
An 'HTTP::Message' object contains some headers and a content body.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Mon Aug  5 2013 coolo@suse.com
- updated to 6.06
  Gisle Aas (2):
    More forgiving test on croak message [RT#80302]
    Added test for multipart parsing
  Mark Overmeer (1):
    Multipart end boundary doesn't need match a complete line [RT#79239]
  2012-10-20 HTTP-Message 6.05
  Gisle Aas (5):
    Updated ignores
    No need to prevent visiting field values starting with '_'
    Report the correct croak caller for delegated methods
    Disallow empty field names or field names containing ':'
    Make the extra std_case entries local to each header
  2012-09-30 HTTP-Message 6.04
  Gisle Aas (5):
    Updated repository URL
    Avoid undef warning for empty content
    Teach $m->content_charset about JSON
    Use the canonical charset name for UTF-16LE (and frieds)
    Add option to override the "(no content)" marker of $m->dump
  Christopher J. Madsen (2):
    Use IO::HTML for <meta> encoding sniffing
    mime_name was introduced in Encode 2.21
  Tom Hukins (1):
    Remove an unneeded "require"
  Ville Skyttä (1):
    Spelling fixes.
  chromatic (1):
    Sanitized PERL_HTTP_URI_CLASS environment variable.
  Martin H. Sluka (1):
    Add test from RT#77466
  Father Chrysostomos (1):
    Fix doc grammo [RT#75831]
* Mon Apr 15 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Thu Mar 31 2011 coolo@novell.com
- update to 6.02
  Declare dependency on Bunzip2 v2.021 [RT#66593]
* Wed Mar 16 2011 chris@computersalat.de
- fix deps
  o perl(Encode), perl(IO::Compress::Bzip2) and other subs,
  o perl(MIME::Base64), perl(MIME::QuotedPrint)
* Mon Mar 14 2011 vcizek@novell.com
- initial package 6.01
  * created by cpanspec 1.78.03
